Categories:
  - Navigation
License: GPL-3.0-or-later
AuthorName: Valerio Bozzolan
AuthorEmail: gnu@linux.it
WebSite: https://gitpull.it/w/librebusto/
SourceCode: https://gitpull.it/source/libre-busto/
IssueTracker: https://gitpull.it/tag/libre_busto/
Liberapay: Libre_BusTO

AutoName: BusTO

RepoType: git
Repo: https://gitpull.it/source/libre-busto.git

Builds:
  - versionName: '1.1'
    versionCode: 2
    commit: '10'
    srclibs:
      - appcompat@v7

  - versionName: '1.2'
    versionCode: 3
    commit: '17'
    srclibs:
      - appcompat@v7

  - versionName: '1.3'
    versionCode: 4
    commit: '20'
    patch:
      - bustorino-gradle.patch
    gradle:
      - yes

  - versionName: '1.4'
    versionCode: 5
    commit: '24'
    gradle:
      - yes
    prebuild: mv build.grandle build.gradle

  - versionName: 1.4.1
    versionCode: 6
    commit: '28'
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 7
    commit: 1.4.2
    gradle:
      - yes

  - versionName: 1.4.3
    versionCode: 8
    commit: 1.4.3
    gradle:
      - yes

  - versionName: 1.6.0
    versionCode: 9
    commit: 1.6.0
    gradle:
      - yes

  - versionName: 1.6.4
    versionCode: 10
    commit: 1.6.4
    gradle:
      - yes

  - versionName: 1.6.5
    versionCode: 11
    commit: 1.6.5
    gradle:
      - yes

  - versionName: 1.6.6
    versionCode: 12
    commit: 1.6.6
    gradle:
      - yes

  - versionName: 1.6.7
    versionCode: 13
    commit: 1.6.7
    gradle:
      - yes

  - versionName: 1.7.0
    versionCode: 14
    commit: 1.7.0
    gradle:
      - yes

  - versionName: 1.7.0.3
    versionCode: 15
    commit: 1.7.0.3
    gradle:
      - yes

  - versionName: 1.7.0.4
    versionCode: 16
    commit: 1.7.0.4
    gradle:
      - yes

  - versionName: 1.7.1
    versionCode: 17
    commit: 1.7.1
    gradle:
      - yes

  - versionName: 1.7.2
    versionCode: 18
    commit: 1.7.2
    gradle:
      - yes

  - versionName: '1.8'
    versionCode: 19
    commit: '1.8'
    gradle:
      - yes

  - versionName: 1.8.5
    versionCode: 20
    commit: 1.8.5
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.8.6
    versionCode: 21
    commit: 1.8.6
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.8.7
    versionCode: 22
    commit: 1.8.7
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.9.0
    versionCode: 23
    commit: 1.9.0
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.9.1
    versionCode: 24
    commit: 1.9.1
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.9.2
    versionCode: 25
    commit: 1.9.2
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.10.1
    versionCode: 26
    commit: 1.10.1
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: '1.11'
    versionCode: 27
    commit: '1.11'
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: '1.12'
    versionCode: 28
    commit: '1.12'
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: '1.13'
    versionCode: 29
    commit: '1.13'
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.13.1
    versionCode: 30
    commit: 1.13.1
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: '1.14'
    versionCode: 31
    commit: '1.14'
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.14.1
    versionCode: 32
    commit: 1.14.1
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.15.2
    versionCode: 33
    commit: 7cd24d40a081d47034908cd0ec026abf2695a594
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.15.3
    versionCode: 34
    commit: 3b3468eccfa482ae250179d249f84bafe73b15d2
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.15.4
    versionCode: 35
    commit: aa2b05f29b20894ce19b5401242c629f3c874b08
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.16.0
    versionCode: 36
    commit: 8ed5102855c5f10fd944b172466d09abe93308d1
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.16.1
    versionCode: 37
    commit: 1100a8c07188604590ea67510b50df349a6818c3
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.16.2
    versionCode: 38
    commit: 335a3b9234e3c42be3b14bb5b4be6edac081e488
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.16.3
    versionCode: 39
    commit: 5bd574240e23b6c78412350f2c940001777772cb
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: '1.17'
    versionCode: 40
    commit: d92af6fc26192bc7cc850c60349d8d8f16165235
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.17.1
    versionCode: 41
    commit: 9294e0647768ff2fc9b9d038fa11e0c14d7e6c62
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.18.0
    versionCode: 42
    commit: a023985dd1e8312f0e13b2e76b1a366cc9ff9cad
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.18.1
    versionCode: 43
    commit: 7c070f523e75c3debd4dd399b8c4a436cd81b870
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.18.2
    versionCode: 44
    commit: 3e3509f99b96765bd47966090b44567f51391307
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.18.3
    versionCode: 45
    commit: 3a0ce92b6da6610fcfda1e85c84ee55925e0786f
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.18.4
    versionCode: 46
    commit: 571d34e3d5e843cdbd6a017ae306e71da33c2ea9
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.19.0
    versionCode: 47
    commit: d3f5a65b7ad1d0b9200ebcc239faf2fa5dc7ef30
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

  - versionName: 1.19.1
    versionCode: 48
    commit: 9ba141bf36c95b09d5b0677130a9805b5557b7fd
    subdir: app
    gradle:
      - yes
    prebuild: echo -e "\norg.gradle.jvmargs=-Xmx4096m" >> ../gradle.properties

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.19.1
CurrentVersionCode: 48
